org.hibernate.search.backend.impl.jms

## Class AbstractJMSHibernateSearchController

- java.lang.Object
- - org.hibernate.search.backend.impl.jms.AbstractJMSHibernateSearchController

- All Implemented Interfaces:
    javax.jms.MessageListener

      public abstract class AbstractJMSHibernateSearchController
      extends Object
      implements javax.jms.MessageListener

  Example template to implement the Hibernate Search controller for processing the work send through JMS by the slave nodes.
  Author:
    Emmanuel Bernard, Sanne Grinovero (C) 2011 Red Hat Inc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractJMSHibernateSearchController()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `afterMessage()` Provides an optional extension point for the case you have to do some cleanup after the Message was processed.
    `protected abstract SearchIntegrator` | `getSearchIntegrator()`
    `void` | `onMessage(javax.jms.Message message)` Process the Hibernate Search work queues received

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractJMSHibernateSearchController

          public AbstractJMSHibernateSearchController()

  - ### Method Detail

    - #### getSearchIntegrator

          protected abstract SearchIntegrator getSearchIntegrator()

    - #### afterMessage

          protected void afterMessage()

      Provides an optional extension point for the case you have to do some cleanup after the Message was processed. This is invoked once by `onMessage(Message)` after processing each Message, provided the type of the Message is `ObjectMessage` as expected.

    - #### onMessage

          public void onMessage(javax.jms.Message message)

      Process the Hibernate Search work queues received
      Specified by:
        `onMessage` in interface `javax.jms.MessageListener`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved